Different versions client/CMS

Hi, I’d like to know if the new 1.7.5 xibo windows client can talk with 1.4.2 CMS.

Thanks.

No i’m afraid not - you need to use the same series player with the CMS you have

Ok! So I must follow all the instructions to migrate cms. What it’s strange for me is that I can use Android player with any CMS while the pc one must follow the versioning rule.

Bye.

You can use the Android Player with older versions of the CMS because as a commercial product we’re able to invest the time needed to maintain backwards compatibility between the Player and older versions of the CMS.

You should however keep the CMS up to date to take advantage of the new functionality that each major release brings. The backwards compatibility is only really there to ensure there’s no disruption to service while you upgrade.